Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deSurface Class Reference

`#include <deSurface_priv.hpp>`

Inheritance diagram for deSurface:

[legend]
Collaboration diagram for deSurface:

[legend]
List of all members.

## Public Member Functions
| deSurface ()
void * | GetWOInterface (long interface_id)
deBoolean | DeSerializeLoad ()
void | SetRenderTexture (IdeRenderTexture *pRT)
| set an IdeRenderTexture (placeholder method while refactoring)
void | SetRenderMaterial (IdeRenderMaterial *pRM)
| set an IdeRenderMaterial (placeholder method while refactoring)
IdeRenderTexture * | GetRenderTexture ()
IdeRenderMaterial * | GetRenderMaterial ()
## Public Attributes
| WorldObjectClassDef
## Protected Member Functions
| ~deSurface ()
## Private Attributes
IdeRenderTexture * | m_RenderTexture
IdeRenderMaterial * | m_RenderMaterial
deIDPair | m_TextureID
deIDPair | m_MaterialID

## Constructor & Destructor Documentation

deSurface::~deSurface | ( |  | ) | `[protected]`

deSurface::deSurface | ( |  | ) |

## Member Function Documentation

deBoolean deSurface::DeSerializeLoad | ( |  | ) | `[virtual]`

| Call after all objects in a world have been loaded, to allow pointers to be correctly resolved from World and Object ID's Reimplemented from deWorldObject.

IdeRenderMaterial * deSurface::GetRenderMaterial | ( |  | ) | `[virtual]`

| Implements IdeSurface.

IdeRenderTexture * deSurface::GetRenderTexture | ( |  | ) | `[virtual]`

| Implements IdeSurface.

void * deSurface::GetWOInterface | ( | long | interface_id | ) | `[virtual]`

| request a related interface, identified with an ID originally returned from IdeWorldManager::GetUniqueWOInterfaceID Implements IdeWorldObject.

void deSurface::SetRenderMaterial | ( | IdeRenderMaterial * | pRM | ) | `[virtual]`

| set an IdeRenderMaterial (placeholder method while refactoring) Implements IdeSurface.

void deSurface::SetRenderTexture | ( | IdeRenderTexture * | pRT | ) | `[virtual]`

| set an IdeRenderTexture (placeholder method while refactoring) Implements IdeSurface.

## Member Data Documentation

deIDPair deSurface::m_MaterialID`[private]`

IdeRenderMaterial* deSurface::m_RenderMaterial`[private]`

IdeRenderTexture* deSurface::m_RenderTexture`[private]`

deIDPair deSurface::m_TextureID`[private]`

deSurface::WorldObjectClassDef

The documentation for this class was generated from the following files:

- deSurface_priv.hpp
- deSurface.cpp